Package com.google.cloud.spanner.jdbc

# Class PgJsonbType

java.lang.Object
com.google.cloud.spanner.jdbc.PgJsonbType

All Implemented Interfaces:
  `SQLType`

public class PgJsonbType extends Object implements SQLType

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PgJsonbType`
`INSTANCE`
`static final short`
`SHORT_VENDOR_TYPE_NUMBER`
Define a short type number as well, as this is what is expected to be returned in `DatabaseMetaData.getTypeInfo()`.
`static final int`
`VENDOR_TYPE_NUMBER`
Spanner/Spangres does not have any type numbers, but the code values are unique.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`String`
`getVendor()`
`Integer`
`getVendorTypeNumber()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### INSTANCE

public static final PgJsonbType INSTANCE

### VENDOR_TYPE_NUMBER

public static final int VENDOR_TYPE_NUMBER
Spanner/Spangres does not have any type numbers, but the code values are unique. Add 200,000 to avoid conflicts with the type numbers in java.sql.Types. Native Cloud Spanner types already use the range starting at 100,000 (see `JsonType`).

See Also:
  - Constant Field Values

### SHORT_VENDOR_TYPE_NUMBER

public static final short SHORT_VENDOR_TYPE_NUMBER
Define a short type number as well, as this is what is expected to be returned in `DatabaseMetaData.getTypeInfo()`.

See Also:
  - Constant Field Values

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `SQLType`

### getVendor

public String getVendor()

Specified by:
  `getVendor` in interface `SQLType`

### getVendorTypeNumber

public Integer getVendorTypeNumber()

Specified by:
  `getVendorTypeNumber` in interface `SQLType`

### toString

public String toString()

Overrides:
  `toString` in class `Object`